package com.tzld.piaoquan.ad.engine.commons.score;

import com.tzld.piaoquan.ad.engine.commons.score.model.LRModel;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.BeansException;
import org.springframework.context.ApplicationContext;
import org.springframework.context.ApplicationContextAware;


public abstract class BaseLRModelScorer extends AbstractScorer implements ApplicationContextAware {

    protected ApplicationContext applicationContext;

    private static Logger LOGGER = LoggerFactory.getLogger(BaseLRModelScorer.class);

    public BaseLRModelScorer(ScorerConfigInfo scorerConfigInfo) {
        super(scorerConfigInfo);
    }

    @Override
    public void loadModel() {
        doLoadModel(LRModel.class);
    }

    @Override
    public void setApplicationContext(ApplicationContext applicationContext) throws BeansException {
        this.applicationContext = applicationContext;
    }
}
